Subject: Re: bug#35351: 27.0.50; Enable derived modes to run their own very-early 'change-major-mode-hook' code

From: Stefan Monnier <[email-masked]>
Date: Tue, 23 Apr 2019 07:59:51 -0400

> which does not require quoting), but I'm also not terribly happy with
> "before-hook", as I now feel it's quite ambiguous.

While "before-hook" may not be perfect, it has the very definitive
advantage of matching the existing "after-hook", so we should go
with that.

If/when we find a better naming scheme for those two, we can consider
renaming them, but that itself comes with non-negligible disadvantages,
so we're probably better off living with the existing "suboptimal" names.

More important would be to make sure that the new semantics covers most
of the existing needs.

        Stefan